/***************************************************************************
 *   Copyright (C) 2009 by Stanson <stanson@pangolin.ru>                   *
 *   GPL v3 code, read COPYING file                                        *
 *                                                                         *
 *    .                                             *
 *                                                                         *
 **************************************************************************/

#include <pic18fregs.h>
#include "main.h"
#include "button.h"

extern btn_user_event( byte state );

byte btn_state, btn_old, btn_cnt;

void btn_init(void)
{
    btn_state = 1;
    btn_old   = 1;
    btn_cnt   = BTN_BOOT_DEBOUNCE;
}

void btn_process(void)
{
    if((BTN_PIN == btn_state) || (--btn_cnt == 0))
    {
	btn_cnt   = BTN_BOOT_DEBOUNCE;
	btn_old   = btn_state;
	btn_state = BTN_PIN;
    }

    if(btn_state != btn_old)
    { /*    */
	btn_user_event( btn_state == 0 ? 1 : 0 );
        btn_old = btn_state;
    }
}

