#ifndef _CD4094_H
#define _CD4094_H

#define CD4094_CLK		PORTBbits.RB0	// pin 21
#define CD4094_DATA		PORTBbits.RB1	// pin 22
#define CD4094_STR		PORTAbits.RA4

extern byte cd4094_state;
extern void cd4094_init( void );
extern void cd4094_set( byte d ) __wparam;

#define cd4094_bit_set(n)	cd4094_set( cd4094_state | ( 1 << n ) )
#define cd4094_bit_clr(n)	cd4094_set( cd4094_state & ~( 1 << n ) )

#endif
