#ifndef _LCD_H
#define _LCD_H

#define LCD_CLK			PORTBbits.RB0	// pin 21
#define LCD_DATA		PORTBbits.RB1	// pin 22
#define LCD_ENA			PORTBbits.RB2	// pin 23

extern void lcd_init( void );
extern void lcd_send_data( __data byte * d );
extern void lcd_stereo( byte d ) __wparam;
extern void lcd_radio_dx( byte d ) __wparam;
extern void lcd_radio_rssi( byte rssi ) __wparam;
extern void lcd_radio( byte band, word freq );
extern void lcd_set_mem( byte addr ) __wparam;
extern void lcd_reset( void );

#endif
