/***************************************************************************
 *   Copyright (C) 2009 by Stanson <stanson@pangolin.ru>                   *
 *   GPL v3 code, read COPYING file                                        *
 *                                                                         *
 * Audi Gamma III LCD serial interface.                                    *
 *                                                                         *
 **************************************************************************/

#include <pic18fregs.h>
#include "main.h"
#include "mux.h"

void mux_select( byte input ) __wparam
{
    switch( input )
    {
	case MUX_MUTE:
	    MUX_A = 0;
	    MUX_B = 0;
	    break;
	case MUX_PCM:
	    MUX_A = 1;
	    MUX_B = 0;
	    break;
	case MUX_RADIO:
	    MUX_A = 0;
	    MUX_B = 1;
	    break;
	case MUX_BEEPER:
	    MUX_A = 1;
	    MUX_B = 1;
	    break;
    }
}

void mux_init( void )
{
    TRISCbits.TRISC6 = 0;
    TRISCbits.TRISC7 = 0;
    mux_select( MUX_MUTE );
}
