#ifndef _KBD_H
#define _KBD_H

#define KBD_ROWS	5
#define KBD_COLS	3
#define KBD_RMSK	( ( 1 << 4 ) - 1 )
#define KBD_CMSK	( ( 1 << KBD_COLS ) - 1 )
#define KBD_DATA	( PORTB >> 5 )
#define KBD_DEBOUNCE	6


#define KBD_K_PREV	1
#define KBD_K_NEXT	2
#define KBD_K_REV	3
#define KBD_K_U		4
#define KBD_K_UP	5
#define KBD_K_4		6
#define KBD_K_DX	7
#define KBD_K_DOLBY	8
#define KBD_K_3		9
#define KBD_K_M		10
#define KBD_K_LD	11
#define KBD_K_2		12
#define KBD_K_VF	13
#define KBD_K_DN	14
#define KBD_K_1		15

extern const byte kbd_keycode[16];

void kbd_process( void );
void kbd_init( void );

#endif
