#ifndef _LED_H
#define _LED_H

/* LED */
#define LED_PIN			PORTAbits.RA5
#define LED_TRIS		TRISAbits.TRISA5

/*  .
 *  1..64 -    ,  */
#define LED_STATE_FLASHING	252	/*     LED_PERIOD */
#define LED_STATE_USB		253	/*    USB */
#define LED_STATE_OFF		254	/*  */
#define LED_STATE_ON		255	/*  */


#define LED_PERIOD		250	/*     mS  - 511 mS */

extern void led_init(void);
extern void led_process(void);		/*      1 mS */
extern void led_set(byte state) __wparam;

#endif
